Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(53)

Unified Diff: tools/cross_build_gcc.sh

Issue 185653004: Experimental parser: merge to r19637 (Closed) Base URL: https://v8.googlecode.com/svn/branches/experimental/parser
Patch Set: Created 6 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tools/blink_tests/TestExpectations ('k') | tools/draw_instruction_graph.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/cross_build_gcc.sh
diff --git a/WATCHLISTS b/tools/cross_build_gcc.sh
old mode 100644
new mode 100755
similarity index 64%
copy from WATCHLISTS
copy to tools/cross_build_gcc.sh
index 9c2bce9c5589c22649b4a2c94837f00c8d669be1..e3603cc786a9b2cdbfee30a50d5fd7f4939974ee
--- a/WATCHLISTS
+++ b/tools/cross_build_gcc.sh
@@ -1,3 +1,5 @@
+#!/bin/sh
+#
# Copyright 2013 the V8 project authors. All rights reserved.
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
@@ -25,22 +27,46 @@
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Watchlist Rules
-# Refer: http://dev.chromium.org/developers/contributing-code/watchlists
+if [ "$#" -lt 1 ]; then
+ echo "Usage: tools/cross_build_gcc.sh <GCC prefix> [make arguments ...]"
+ exit 1
+fi
-# IMPORTANT: The regular expression filepath is tested against each path using
-# re.search, so it is not usually necessary to add .*.
+export CXX=$1g++
+export AR=$1ar
+export RANLIB=$1ranlib
+export CC=$1gcc
+export LD=$1g++
+export LINK=$1g++
-{
- 'WATCHLIST_DEFINITIONS': {
- 'public_api': {
- 'filepath': 'include/',
- },
- },
+OK=1
+if [ ! -x "$CXX" ]; then
+ echo "Error: $CXX does not exist or is not executable."
+ OK=0
+fi
+if [ ! -x "$AR" ]; then
+ echo "Error: $AR does not exist or is not executable."
+ OK=0
+fi
+if [ ! -x "$RANLIB" ]; then
+ echo "Error: $RANLIB does not exist or is not executable."
+ OK=0
+fi
+if [ ! -x "$CC" ]; then
+ echo "Error: $CC does not exist or is not executable."
+ OK=0
+fi
+if [ ! -x "$LD" ]; then
+ echo "Error: $LD does not exist or is not executable."
+ OK=0
+fi
+if [ ! -x "$LINK" ]; then
+ echo "Error: $LINK does not exist or is not executable."
+ OK=0
+fi
+if [ $OK -ne 1 ]; then
+ exit 1
+fi
- 'WATCHLISTS': {
- 'public_api': [
- 'phajdan.jr@chromium.org',
- ],
- },
-}
+shift
+make snapshot=off $@
« no previous file with comments | « tools/blink_tests/TestExpectations ('k') | tools/draw_instruction_graph.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698